// state = { value: 0 } means default value = 0 (using for initial value equal 0)

const initialState = {
  name: "",
  surname: "",
  gender: "",
};

const formReducer = (state = initialState, action) => {
  const newState = { ...state };
  switch (action.type) {
    case "NAME":
      newState.name = action.value;
      return newState;
    case "SURNAME":
      newState.surname = action.value;
      return newState;
    case "GENDER":
      newState.gender = action.value;
      return newState;
    default:
      return newState;
  }
};

export default formReducer;
