// state = { value: 0 } means default value = 0 (using for initial value equal 0)

const initialState = {
  answer: {
    q1: -1,
    q2: -1,
    q3: -1,
    q4: -1
  }
};

const answerReducer = (state = initialState, action) => {
  const newState = { ...state };

  switch (action.type) {
    case 'Q1':
      newState.q1 = action.value
      return newState
    case 'Q2':
      newState.q2 = action.value
      return newState
    case 'Q3':
      newState.q3 = action.value
      return newState
    case 'Q4':
      newState.q4 = action.value
      return newState
    default:
      return newState;
  }
};

export default answerReducer;
